body {
  background-color: #eee;
  margin: 0px;
  overflow: hidden;
}

* {
  font-family: monospace;
  font-size: 1.5rem;
  color: #eee;
}

h1 { font-size: 5rem; }

button {
  font-size: 2rem;
  border-color: #eee;
  border-style: solid;
  border-radius: 5px;
  background-color: rgba(255,255,255,0);
  transition-property: font-size, background-color color, border;
  transition-duration: .25s;
  padding: 5px;
  margin: 10px;
  outline: none;
}

button:disabled {
  border-color: rgba(127, 127, 127, 0.5);
  color: rgba(127, 127, 127, 0.5);
}

input {
  background-color: rgba(255,255,255,0);
  border-style: none none solid none;
  border-color: #eee;
  outline: none;
}

div.quiz_sel > button, div.quiz_que > p {
  font-size: 1.5rem;
  margin: 5px;
  animation-name: textWash;
  animation-duration: .5s;
  animation-iteration-count: infinite;
  animation-play-state: paused;
}

button.hide {
  display: none;
}

button.corr {
  background-color: rgba(34, 238, 34, .25);
  border-color: #2e2;
}

button.corr:hover {
  background-color: rgba(34, 238, 34, .5);
}

button.wrng {
  background-color: rgba(238, 34, 34, .25);
  border-color: #e22;
}

button.wrng:hover {
  background-color: rgba(238, 34, 34, .5);
}

button:hover {
  background-color: rgba(238, 238, 238, .5);
  font-size: 3rem;
}

meter {
  width: 75%;
  height: .2rem;
}

meter::-webkit-meter-bar {
  background: none;
  background-color: rgba(17, 17, 17, .75);
}

meter::-webkit-meter-optimum-value {
  background: none;
  background-color: rgba(238, 238, 238, 1);
  transition-property: width;
  transition-duration: 1s;
}

div {
  animation-fill-mode: both;
  animation-play-state: paused;
  animation-iteration-count: 1;
  animation-duration: .5s;
}

div.waiter {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 2;
  background-color: rgba(17, 17, 17, 1);
  display: flex;
  align-items: center;
  align-content: center;
  justify-content: center;
  transition: opacity;
  transition-duration: 0.5s;
}

svg {
  animation-name: sineWait;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

svg#dot0 {animation-delay: 0s;}
svg#dot1 {animation-delay: -.5s;}
svg#dot2 {animation-delay: -1s;}

div.container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 400%;
  transition-duration: 0.5s;
  transition-property: transform;
  transform: translateX(-25%);
}

div.main {
  width: 25%;
  height: 100%;
  display: flex;
  align-items: center;
  align-content: center;
  flex-direction: column;
  flex-grow: 1;
}

div.main_menu {
  height: 100%;
  display: flex;
  align-items: stretch;
  align-content: stretch;
  flex-direction: row;
}

div.quiz {
  width: 25%;
  display: flex;
  align-items: center;
  align-content: center;
  flex-direction: column;
  flex-grow: 1;
}

div.quiz_que {
  width: 75%;
  font-size: 1rem;
  border-color: #eee;
  border-style: solid;
  border-radius: 5px;
  background-color: rgba(255,255,255,0);
}

div.quiz_sel {
  width: 75%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  align-content: center;
  justify-content: space-around;
}

div.quiz_nav {
  display: flex;
  flex-direction: column;
  align-items: center;
  align-content: center;
  justify-content: center;
}

div.quiz_met {
  height: 10%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  align-content: center;
  justify-content: center;
}

div.scores {
  width: 25%;
  max-height: 90%;
  display: flex;
  align-items: center;
  align-content: center;
  flex-direction: column;
  flex-grow: 1;
}

div.scores_li {
  width: 75%;
  display: flex;
  max-height: 15rem;
  align-items: center;
  align-content: center;
  flex-direction: column;
  overflow-x: hidden;
  overflow-y: scroll;
}

div.end {
  width: 25%;
  display: flex;
  align-items: center;
  align-content: center;
  flex-direction: column;
  flex-grow: 1;
}

table {
  width: 100%;
  border-color: #eee;
  border-style: solid;
  border-radius: 5px;
  border-collapse: separate;
  border-spacing: 0;
  padding: 5px;
  margin: 10px;
}

tr {
  padding: 5px;
  margin: 10px;
}

th {
  padding: 5px;
}

td {
  border-color: rgba(238, 238, 238, .5);
  border-top-style: solid;
  text-align: center;
}

/* duration: 0.5s; iter-count: infinite; js-func: textWash()*/
@keyframes textWash {
  0% {color: #eee;}
  50% {color: rgba(238, 238, 238, .0);}
  100% {color: #eee;}
}

@keyframes sineWait {
  0% {transform: translateY(1rem);}
  50% {transform: translateY(-1rem);}
  100% {transform: translateY(1rem);}
}

canvas.back {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: -1;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: rgba(238, 238, 238, .5);
}

::-webkit-scrollbar-thumb {
  background: #eee;
}

::-webkit-scrollbar-thumb:hover {
  background: #111;
}
